.c-toc-empty {
    display: none;
}

.c-toc-content>ul,
.c-toc-content>div {
    margin-bottom: var(--margin-xxl);
}

.c-toc-desktop>.c-toc-button {
    display: none;
}

.c-toc-desktop>.c-toc-content {
    display: inherit;
}

.c-toc-mobile .c-toc-title {
    color: var(--reverse-fg);
}

.c-toc-mobile>.c-toc-title {
    display: none;
}

/* Mobile menu */
.c-toc-mobile {
    position        : fixed;
    bottom          : var(--main-menu-mobile-height);
    max-height      : calc(95vh - var(--main-menu-mobile-height));
    background-color: var(--reverse-bg);
    color           : var(--reverse-fg);
    width           : 100%;
    z-index         : 3;
    margin          : 0;
    padding         : 0;
    left            : 0;
    border-top      : var(--border-thin) solid var(--main-fg);
    box-shadow      : 0 var(--n-margin-xxs) var(--margin-xs) 0 rgba(0, 0, 0, 0.25);
    overflow-y      : scroll;
}

.c-toc-mobile a {
    color: var(--reverse-fg);
}

.c-toc-item>a {
    text-decoration: none;
}

.c-toc-button {
    display              : grid;
    grid-template-columns: 1fr auto;
    background           : none;
    border               : none;
    color                : var(--reverse-fg);
    width                : 100%;
    padding              : var(--margin-xxs) var(--margin-md);
    font-size            : var(--font-size-md);
    text-align           : left;
    cursor               : pointer;
}

.c-toc-button-open,
.c-toc-button-close {
    display              : grid;
    grid-template-columns: 1fr auto;
    align-items          : center;
}

.c-toc-mobile>.c-toc-button[aria-expanded="true"]>.c-toc-button-open,
.c-toc-mobile>.c-toc-button[aria-expanded="false"]>.c-toc-button-close,
.c-toc-mobile>.c-toc-button[aria-expanded="false"]+.c-toc-content {
    display: none;
}

.c-toc-mobile .c-toc-list.c-toc-root-list {
    padding-left : var(--margin-md);
    padding-right: var(--margin-md);
}

.c-toc-title,
.c-toc-item {
    font-size: var(--font-size-lg);
}

.c-toc-item {
    margin         : var(--margin-xs) 0;
    padding        : 0;
    list-style-type: disc;
}

.c-toc-mobile .c-toc-item {
    list-style: none;
}

.c-toc-item::marker {
    color: var(--link-not-visited);
}

.c-toc-level-2 {
    font-size      : var(--font-size-md);
    list-style-type: "−  ";
}

.c-toc-level-3 {
    font-size: var(--font-size-sm);
}

.c-toc-item.c-toc-level-1:first-child {
    margin-top: var(--margin-xxxs);
}

.c-toc-title {
    color      : var(--univ-primary);
    font-family: var(--font-standard);
    margin     : 0
}

.c-toc-title::before {
    display: none;
}

.c-toc-icon {
    position    : relative;
    top         : -0.1rem;
    stroke      : var(--univ-primary);
    fill        : var(--univ-primary);
    width       : var(--margin-xxl);
    height      : var(--margin-xxl);
    margin-right: var(--margin-xs);
}

.c-toc-list {
    margin      : 0;
    padding-left: var(--margin-md);
}